package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Activity;

/**
 * <p>
 * 活动表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface IActivityService extends IService<Activity> {

    /**
     * 查询活动列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean getList(Integer pageNum, Integer pageSize);

    /**
     * 根据 活动id 查询
     * @param activityId
     * @return
     */
    ResponseBean getActivityId(String activityId);

}
