package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.wholeestate.model.BuildingDynamic;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * 项目动态表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
public interface BuildingDynamicMapper extends BaseMapper<BuildingDynamic> {

    /**
     * 会员列列表
     * @param page
     * @return
     */
    IPage<BuildingDynamic> buildingDynamicList(Page page);
}
